<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getUpgradeLevelCost](./bitburner.corporation.getupgradelevelcost.md)

## Corporation.getUpgradeLevelCost() method

Gets the cost to unlock the next level of a levelable upgrade

<b>Signature:</b>

```typescript
getUpgradeLevelCost(upgradeName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  upgradeName | string | Name of the upgrade |

<b>Returns:</b>

number

cost of the upgrade

